const routes = [
    {
        path: '/login',
        component: () => import('layouts/LoginLayout.vue'),
        children: [
            {
                name: 'login',
                path: '/login/:email?',
                component: () => import('pages/Login/Login.vue')
            },
            {
                name: 'rememberPassword',
                path: '/remember-password',
                component: () => import('pages/Login/RememberPassword.vue')
            },
            {
                name: 'resetPassword',
                path: '/reset-password',
                component: () => import('pages/Login/ResetPassword.vue')
            }
        ]
    },
    {
        path: '/',
        component: () => import('layouts/MainLayout.vue'),
        children: [
            {
                name: '',
                path: '',
                component: () => import('src/pages/Cms/HomeView.vue')
            },
            {
                name: 'home',
                path: '/cms/home',
                component: () => import('src/pages/Cms/HomeView.vue')
            },
            {
                name: 'orders',
                path: '/ecomerce/orders',
                component: () => import('pages/Ecomerce/Orders.vue')
            },
            {
                name: 'ticket',
                path: '/ecomerce/ticket/:id',
                component: () => import('pages/Ecomerce/Ticket.vue')
            },
            {
                name: 'invoices',
                path: '/ecomerce/invoices',
                component: () => import('pages/Ecomerce/Invoices.vue')
            },
            {
                name: 'catalog',
                path: '/ecomerce/catalog/:category?/:type?',
                component: () => import('pages/Ecomerce/Catalog.vue')
            },
            {
                name: 'Account',
                path: '/account/conf',
                component: () => import('pages/Account/AccountConf.vue')
            },
            {
                name: 'Addresses',
                path: '/account/address-list',
                component: () => import('pages/Account/AddressList.vue')
            },
            {
                name: 'AddressDetails',
                path: '/account/address/:id?',
                component: () => import('pages/Account/AddressDetails.vue')
            }
        ]
    },

    // Always leave this as last one,
    // but you can also remove it
    {
        path: '/:catchAll(.*)*',
        component: () => import('pages/ErrorNotFound.vue')
    }
];

export default routes;
